\NeedsTeXFormat{LaTeX2e}[1994/12/01]

% KEEP UP-TO-DATE (date)
\ProvidesClass{smu}[2012/02/23 Annual collection published by smu.cmc.msu.su; WORK VERS]

\LoadClass[twoside,11pt,a5paper]{extarticle}

\RequirePackage{inputenc}
\RequirePackage[english,russian]{babel}
\RequirePackage{boxedminipage}
\RequirePackage{indentfirst}
\RequirePackage{afterpage}
\RequirePackage{paralist}
\RequirePackage{url}
\RequirePackage{textcomp}
\RequirePackage{cite}
\RequirePackage{amsthm}

\sloppy

\usepackage[%
    left=1.9cm,%
    top=1.5cm,%
    right=1.9cm,%
    bottom=1.5cm,%
    headsep=0.3cm,%
    footskip=0.7cm,%
    includehead,%
    includefoot]{geometry}

\RequirePackage{fancyhdr}
\pagestyle{fancy}

\RequirePackage{amssymb}
\RequirePackage{amsmath}
\RequirePackage{amscd}
\RequirePackage{bm}
\RequirePackage{graphicx}

\usepackage{caption}
\captionsetup{labelfont=bf, labelsep=period, justification=centerlast, size=small}

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SMU-specific global data follow

% KEEP UP-TO-DATE (year, volume)
\newcommand{\PREVYEAR}{2011}
\newcommand{\YEAR}{2012}
\newcommand{\VOLUME}{9}

\newcommand{\BOOKCOL}{%
\CYRS \cyrb \cyro \cyrr \cyrn \cyri \cyrk{}
\cyrs \cyrt \cyra \cyrt \cyre \cyrishrt{}
\cyrm \cyro \cyrl \cyro \cyrd \cyrery \cyrh{}
\cyru \cyrch \cyre \cyrn \cyrery \cyrh{}
\cyrf \cyra \cyrk \cyru \cyrl \cyrsftsn \cyrt \cyre \cyrt \cyra{}
\CYRV \CYRM \CYRK{}
\CYRM \CYRG \CYRU{},
\No\,\VOLUME,
\YEAR}
% SBORNIK STATEY MOLODYH UCENYH fakul.teta VMK MGU (cernovik), vypusk \No #

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% SMU-specific commands follow

\newcommand{\thetitle}{-title--n-o-t--s-e-t-}
\renewcommand{\title}[1]{\renewcommand{\thetitle}{#1}}

\newcommand{\thebrieftitle}{-brieftitle--n-o-t--s-e-t-}
\newcommand{\brieftitle}[1]{\renewcommand{\thebrieftitle}{#1}}

\newcommand{\theauthors}{-authors--n-o-t--s-e-t-}
\newcommand{\authors}[1]{\renewcommand{\theauthors}{#1}}

\newcommand{\thebriefauthors}{-briefauthors--n-o-t--s-e-t-}
\newcommand{\briefauthors}[1]{\renewcommand{\thebriefauthors}{#1}}

\newcommand{\theUDK}{-UDK--n-o-t--s-e-t-}
\newcommand{\UDK}[1]{\renewcommand{\theUDK}{#1}}

\newcommand{\theemail}{-email--n-o-t--s-e-t-}
\newcommand{\email}[1]{\renewcommand{\theemail}{#1}}

\newcommand{\thedepartment}{-department--n-o-t--s-e-t-}
\newcommand{\department}[1]{\renewcommand{\thedepartment}{#1}}

\newcommand{\summary}[2]{}

\renewcommand{\maketitle}{%
{\noindent{\footnotesize\sl \CYRU \CYRD \CYRK{} \theUDK}}
\begin{center}
  \baselineskip=6.0mm{\Large\textbf{\thetitle}}

  \medskip
  \large\textbf{\copyright~\YEAR~\cyrg{}. \theauthors}

  \medskip
  \small\texttt{\theemail}

  \medskip
  \small\textit{\thedepartment}
\end{center}

\lhead[\thepage]{\scriptsize\textit{\BOOKCOL}}
\rhead[\scriptsize\textit{\BOOKCOL}]{\thepage}
\chead[~]{~} \lfoot[~]{~} \rfoot[~]{~} \cfoot[~]{~} 
\afterpage{
\lhead[\thepage]{}
\rhead[]{\thepage}
\chead[\thebriefauthors]{\thebrieftitle}
\lfoot{}
\rfoot{}
\cfoot{\scriptsize\textit\BOOKCOL}
}
}

\newcommand{\ENGLISH}[1]{\selectlanguage{english}{#1}\selectlanguage{russian}}

% duplicate the symbol after the '\HM' command on the next line
\newcommand*{\HM}[1]{#1\nobreak\discretionary{}%
{\hbox{\(\mathsurround=0pt #1\)}}{}}

\setcounter{page}{900}
